<div class="row margin-row">
	<div class="col-md-12">
		<div class="pull-right">
			<button type="button" class="btn btn-primary" [routerLink]="['../input']"><span>Input</span></button>
		</div>
	</div>
</div>

<p-accordion class="filter-accordion">
	<p-accordionTab header="Filter" [selected]="true">
		<div class="row">
			<div class="col-md-6">
				<div class="form-group">
					<label class="form-control-label">Tanggal Kirim Biro Jasa</label>
					<div class="row">
						<div class="col-md-6">
							<div class="input-group input-calendar">
								<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
							</div>
						</div>
						<div class="col-md-6">
							<div class="input-group input-calendar">
								<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="col-md-6">
				<div class="form-group">
					<label>Market Name</label>
					<select class="form-control" id="field_marketName" name="sales">
						<option [ngValue]="null"></option>
						<option [ngValue]="motorOption.idProduct" *ngFor="let motorOption of motors; trackBy: trackMotorById">{{motorOption.name}}</option>
					</select>
				</div>
			</div>
			
			<div class="col-md-6">
				<div class="form-group">
					<label class="form-control-label">Tanggal Terima BPKB</label>
					<div class="row">
						<div class="col-md-6">
							<div class="input-group input-calendar">
								<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
							</div>
						</div>
						<div class="col-md-6">
							<div class="input-group input-calendar">
								<p-calendar class="size-calendar" [showIcon]="true"></p-calendar>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="col-md-6">
				<div class="form-group">
					<label>Status</label>
					<select class="form-control" id="field_statusType" name="statusType">
						<option [ngValue]="null"></option>
						<option [ngValue]="statusTypeOption.idStatusType" *ngFor="let statusTypeOption of statusTypes; trackBy: trackStatusTypeById">{{statusTypeOption.description}}</option>
					</select>
				</div>
			</div>
		</div>
		<div class="btn-filter-wrapper">
			<button type="button" class="btn btn-primary btn-filter">
				<span>Filter</span>
			</button>
		</div>      
	</p-accordionTab>
</p-accordion>

<p-dataTable
	[value]="vehicleDocumentRequirements"
	[editable]="true"
	[rows]="itemsPerPage"
	[paginator]="true"
	[pageLinks]="5"
	[rowsPerPageOptions]="[10,15,20]"
	[totalRecords]="totalItems"
	[responsive]="true"
	[lazy]="true"
	dataKey="idRequirement"
	expandableRows="false"
	(onLazyLoad)="loadDataLazy($event)"
	(onEditComplete)="updateRowData($event)">
	<p-header>

	</p-header>
	<!-- <p-column expander="false" styleClass="col-icon" [style]="{'width': '35px', 'text-align': 'center'}"></p-column> -->
	<p-column header="{{'mpmApp.vehicleDocumentRequirement.labelSequence'|translate}}" [style]="{'width': '70px', 'text-align': 'center'}">
		<ng-template let-rowIndex="rowIndex" pTemplate="body">
			{{rowIndex + 1}}
		</ng-template>
	</p-column>
	<p-column header="No. Faktur">
		<ng-template let-rowData="rowData" pTemplate="body">
			<!-- {{rowData.note}} -->
		</ng-template>
	</p-column>
	<p-column header="No. IVU">
		<ng-template let-rowData="rowData" pTemplate="body">
			<!-- {{rowData.note}} -->
		</ng-template>
	</p-column>
	<p-column header="Nama 1 STNK">
		<ng-template let-rowData="rowData" pTemplate="body">
			<!-- {{rowData.note}} -->
		</ng-template>
	</p-column>
	<p-column header="Nama 2 STNK">
		<ng-template let-rowData="rowData" pTemplate="body">
			<!-- {{rowData.note}} -->
		</ng-template>
	</p-column>
	<p-column header="No. Mesin">
		<ng-template let-rowData="rowData" pTemplate="body">
			<!-- {{rowData.note}} -->
		</ng-template>
	</p-column>
	<p-column header="Tgl. Kirim Biro Jasa">
		<ng-template let-rowData="rowData" pTemplate="body">
			<!-- {{rowData.note}} -->
		</ng-template>
	</p-column>
	<p-column header="Biaya Pengurusan">
		<ng-template let-rowData="rowData" pTemplate="body">
			<!-- {{rowData.note}} -->
		</ng-template>
	</p-column>
	<p-column header="Biaya Lain">
		<ng-template let-rowData="rowData" pTemplate="body">
			<!-- {{rowData.note}} -->
		</ng-template>
	</p-column>
	<p-column header="No. Polisi">
		<ng-template let-rowData="rowData" pTemplate="body">
			<!-- {{rowData.note}} -->
		</ng-template>
	</p-column>
	<p-column header="Notice">
		<ng-template let-rowData="rowData" pTemplate="body">
			<!-- {{rowData.note}} -->
		</ng-template>
	</p-column>
	<p-column header="STNK">
		<ng-template let-rowData="rowData" pTemplate="body">
			<!-- {{rowData.note}} -->
		</ng-template>
	</p-column>
	<p-column header="Plat Nomor">
		<ng-template let-rowData="rowData" pTemplate="body">
			<!-- {{rowData.note}} -->
		</ng-template>
	</p-column>
	<p-column header="No. BPKB">
		<ng-template let-rowData="rowData" pTemplate="body">
			<!-- {{rowData.note}} -->
		</ng-template>
	</p-column>
	<p-column header="Tgl. Terima BPKB">
		<ng-template let-rowData="rowData" pTemplate="body">
			<!-- {{rowData.note}} -->
		</ng-template>
	</p-column>
	<p-column header="Sales">
		<ng-template let-rowData="rowData" pTemplate="body">
			<!-- {{rowData.note}} -->
		</ng-template>
	</p-column>
	<p-column header="{{'mpmApp.vehicleDocumentRequirement.sur'|translate}}">
		<ng-template let-rowData="rowData" pTemplate="body">
			<div *ngIf="rowData.surId">
				<a [routerLink]="['../sales-unit-requirement', rowData.surId  ]" >{{rowData.surId}}</a>
			</div>
		</ng-template>
	</p-column>
	<ng-template let-rowData let-rowIndex='rowIndex' pTemplate="rowexpansion">
	</ng-template>
</p-dataTable>